[CUSTOM]
# INSTRUCTIONS
# Run kde-material-you-colors with no arguments from terminal
# to debug your configuration changing in real time.
# NOTE:
# Any argument passed from the command line overrides their counterpart here.

# Monitor to get wallpaper from
# For me main is 0 but second one is 6, play with this to find yours
# Default is 0
monitor = 0

# File containing absolute path of an image (Takes precedence over automatic wallpaper detection)
# Commented by default
#file = /tmp/000_eDP-1_current_wallpaper

# Custom color used to generate M3 color scheme (Takes precedence over automatic wallpaper detection, monitor and file options)
# Accepted values are hex (e.g #ff0000) and rgb (e.g 255,0,0) colors (rgb is converted to hex)
#color = 255,0,1

# List of 7 space separated colors (hex or rgb) to be used for text in pywal/konsole/KSyntaxHighlighting instead of wallpaper ones
# Accepted values are hex e.g #ff0000 and rgb e.g 255,0,0 colors (rgb is converted to hex)
# Commented by default
# Example using catppuccin color scheme:
#custom_colors_list = #ED8796 #A6DA95 #EED49F #8AADF4 #F5BDE6 #8BD5CA #f5a97f

# Enable Light mode
# Accepted values are True or False
# Commented by default to follow System Color Setting (Material You Light/Dark only)
# NOTE:
# Will fallback to dark mode if not defined here or enabled in Settings
#light = False

# Alternative color mode (default is 0), some images return more than one color, this will use either the matched or last color
# Default is 0
ncolor = 0

# Light scheme icons theme
# Commented by default
iconslight = klassy

# Dark scheme icons theme
# Commented by default
iconsdark = klassy-dark

# Use pywal to theme other programs using Material You colors
# https://github.com/dylanaraps/pywal/wiki/Customization
# You need to install pywal python module first
# Accepted values are True or False
# Commented by default
pywal=True

# Force light/dark mode for pywal and/or Konsole
# Accepted values are True or False comment out to dark/light scheme
# Commented by default (Follows light option above)
# NOTE:
# Theming Konsole doesn't require pywal to be installed
#pywal_light = False

# The amount of perceptible color for backgrounds in dark mode
# A number between 0 and 4.0 (limited for accessibility purposes)
# Defaults to 1 if not set
#light_blend_multiplier = 1.0

# The amount of perceptible color for backgrounds in dark mode
# A number between 0 and 4.0 (limited for accessibility purposes)
# Defaults to 1 if not set
#dark_blend_multiplier = 1.0

# A script/command that will be executed on start or wallpaper/dark/light/settings change
# example below using https://github.com/vlevit/notify-send.sh to send a desktop notification:
#on_change_hook = notify-send.sh "kde-material-you-colors" "This is a test" -t 2000

# Tint Sierra Breeze decoration buttons https://github.com/kay0u/SierraBreeze
# Accepted values are True or False
# Default is False
# NOTE:
# This WILL OVERWRITE any set colors and reload KWin (screen will blink on x11)
#sierra_breeze_buttons_color = True

# Disable automatic Konsole theming
# Default is False
# NOTE:
# When enabled, Konsole color scheme files are still generated, but not enforced
#disable_konsole = False

# Konsole background opacity (normal and dark mode)
# An integer between 0 and 100
# Default is commented (opaque)
#konsole_opacity = 85
#konsole_opacity_dark = 85

# Title Bar opacity (normal and dark mode)
# Requires one of the following window decorations:
# Klassy https://github.com/paulmcauley/klassy || Sierra Breeze Enhanced https://github.com/kupiqu/SierraBreezeEnhanced
# An integer between 0 and 100
# Default is commented (opaque)
# NOTE:
# This will reload KWin (screen will blink on x11)
#titlebar_opacity = 85
#titlebar_opacity_dark = 85

# ToolBar opacity (normal and dark mode) needs Lightly Application Style to work https://github.com/Luwx/Lightly
# An integer between 0 and 100
# Default is commented (opaque)
# NOTE:
# kirigami ToolBar opacity is not affected by this option https://github.com/Luwx/Lightly/issues/128
#toolbar_opacity = 85
#toolbar_opacity_dark = 85

# Tint Klassy Window Decoration window outline https://github.com/paulmcauley/klassy
# Accepted values are True or False
# Default is False
# NOTE:
# This will reload KWin (screen will blink on x11)
#klassy_windeco_outline= True

# List of space separated window class names to apply a darker titlebar,
# useful for terminals, code editors and other programs themed by pywal
# will create a window rule matching names in a case insensitive manner
# Commented by default
# This WILL reload KWin (screen will blink on x11)
# Example with konsole, Alacritty and kitty terminals
#darker_window_list = konsole Alacritty kitty

# Enable startup delay delay before doing anything,
# useful for waiting for other utilities that may change themes on boot.
# Requires setting startup_delay below or passing --sd SECONDS
# Commented by default
#use_startup_delay = True

# Startup delay in seconds
# Useful for waiting for other utilities that may change themes on boot
# Commented by default
#startup_delay = 5

# Main loop delay in seconds
# How often the main program looks for wallpaper/config changes.
# Useful to save some power
# Default is 1 seconds
# Commented by default
#main_loop_delay = 1

# Delay between desktop view screenshots in seconds
# Some wallpaper plugins display a constant transition based on time or other
# circumstances, this option can be configured to decrease the amount
# of detections for those cases to save power.
# NOTE:
# Should be bigger than main_loop_delay (will take main_loop_delay otherwise)
# Default is 900 seconds (15 minutes)
# Commented by default
#screenshot_delay = 900

# Extract colors from screenshot once after changing plugin
# This option makes sense for wallpaper plugins that display an animated loop
# that never stops. This option makes the color extraction run
# only a single time instead of detecting every change.
# Useful to save power and resources for wallpapers that need screenshot
# Default is False
# Commented by default
#once_after_change = False

# Pause mode
# Disables wallpaper detection and automatic theming
# Default is False
#pause_mode = False

# Scheme Variant
# Changes between Material You scheme variants (0-8)
# 0 = Content
# 1 = Expressive
# 2 = Fidelity
# 3 = Monochrome
# 4 = Neutral
# 5 = TonalSpot
# 6 = Vibrant
# 7 = Rainbow
# 8 = FruitSalad
# Default is 5
scheme_variant = 5

# Colorfulness
# Changes chroma (colorfulness) of theme
# An integer between 0.5 and 10
# Default is 1
chroma_multiplier = 1

# Brightness
# Changes tone (brightness) of theme
# An integer between 0.5 and 1.5
# Default is 1
tone_multiplier = 1

# QDbus executable
# Name or location of the QDbus executable e.g qdbus6, qdbus-qt6...
# Default is qdbus6
qdbus_executable = qdbus
